﻿using System;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace ScheduleAppointmentTesting
{
	public class TestingSample : ContentPage
	{
		SfSchedule schedule;
		ScheduleAppointmentCollection appointmentCollection;
		ScheduleAppointment appointment;
		DateTime current;

		public TestingSample()
		{
			schedule = new SfSchedule();

			current = DateTime.Now;
			DateTime startTime = new DateTime(current.Year, current.Month, current.Day, 12, 0, 0);
			DateTime endTime = new DateTime(current.Year, current.Month, current.Day, 13, 0, 0);

			appointment = new ScheduleAppointment();
			appointmentCollection = new ScheduleAppointmentCollection();
			appointment.StartTime = startTime;
			appointment.EndTime = endTime;
			appointment.Subject = "Meeting";
			appointment.Color = Color.Blue;
			appointmentCollection.Add(appointment);
			schedule.DataSource = appointmentCollection;

			schedule.ScheduleCellTapped += Schedule_ScheduleCellTapped;

			schedule.ShowAppointmentsInline = true;
			schedule.ScheduleView = ScheduleView.MonthView;

			this.Content = schedule;
		}

		void Schedule_ScheduleCellTapped(object sender, ScheduleTappedEventArgs args)
		{
			var selectedAppointment = args.selectedAppointment;
		}

	}
}


